EncrytedProperties
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.util
Class EncrytedProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  org.apache.ivy.util.EncrytedProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class EncrytedProperties

extends java.util.Properties

An implementation of Properties which stores the values encrypted. The use is transparent from the user point of view (use as any Properties instance), except that get, put and putAll do not handle encryption/decryption. This means that get returns the encrypted value, while put and putAll puts given values without encrypting them. It this thus recommended to void using them, use setProperty and getProperty instead.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`EncrytedProperties()`

Method Summary
`boolean` | `contains(java.lang.Object value)`
`boolean` | `containsValue(java.lang.Object value)`
`java.lang.String` | `getProperty(java.lang.String key)`
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)`
`java.lang.Object` | `setProperty(java.lang.String key, java.lang.String value)`
`java.util.Collection` | `values()`

Methods inherited from class java.util.Properties
`list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, containsKey, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncrytedProperties

    public EncrytedProperties()

Method Detail

### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                                        java.lang.String value)

  Overrides:
    `setProperty` in class `java.util.Properties`

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Overrides:
    `getProperty` in class `java.util.Properties`

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String defaultValue)

  Overrides:
    `getProperty` in class `java.util.Properties`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `containsValue` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### contains

    public boolean contains(java.lang.Object value)

  Overrides:
    `contains` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `values` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD